const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Bengkulu Selatan',
    'Kabupaten Bengkulu Tengah',
    'Kabupaten Bengkulu Utara',
    'Kabupaten Kaur',
    'Kabupaten Kepahiang',
    'Kabupaten Lebong',
    'Kabupaten Muko Muko',
    'Kabupaten Rejang Lebong',
    'Kabupaten Seluma',
    'Kota Bengkulu'

    // 10
];

exports.seedBengkuluCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Bengkulu' },
    });

    if (!province) {
        console.error('❌ Province Bengkulu not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: { updatedAt: timeLocal.now().toDate() },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Bengkulu City seeded!.');
};